List Repositories Configured for Seer
ExperimentalThis API is under active development and may change.
GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/seer/repos/
List repositories connected to Seer for the project.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the resource belongs to. Project slugs are unique within each organization.
Query Parameters:
query(string)Filter repositories using Sentry search syntax.
namesupports substring matching and is also the free-text key.providersupports=,!=,IN, andNOT INoperators, and matches with or without theintegrations:prefix.sortBy(string)- choices:
- -name
- -provider
- name
- provider
Sort by repository name or provider. Defaults to
name. cursor(string)A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
per_page(integer)The maximum number of results per page.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:project:adminproject:readproject:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/seer/repos/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied.
Was this helpful?